#!/bin/sh
# $Id: t-t2822-0.sh,v 1.12 2006/10/04 03:02:40 ca Exp $
# Copyright (c) 2003-2005 Sendmail, Inc. and its suppliers.
#	All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#
#
test -s stop && exit 1
#
IN=t2822_parse.in
O=t2822_parse.out
OUT=t2822_parse.fil
ERRORS=0
./t-t2822-0 > ${O} 2>&1 <<EOF
mta@meta1.org
"mta mta"@meta1.org
mta@meta1.org
mta @ meta1.org
("mta ) mta") <"mta mta"@meta1.org>
"mta mta" <mta@meta1.org>
( ("mta ) mta") ) <"mta mta"@meta1.org>
"mta mta"@meta1.org
mta\ mta@meta1.org
"mta mta
mta@[stuff
mta@["stuff]
named group: foo@bar, baz@barf;
mta@foo (mta
        mta)
EOF
# filter output data: get rid of paths
sed -e 's/ .*t-t2822-0/ t-t2822-0/' ${O} > ${OUT}
cat > ${IN} <<EOF
>>>mta@meta1.org<<<
mta@meta1.org
>>>"mta mta"@meta1.org<<<
"mta mta"@meta1.org
>>>mta@meta1.org<<<
mta@meta1.org
>>>mta @ meta1.org<<<
mta@meta1.org
>>>("mta ) mta") <"mta mta"@meta1.org><<<
19..bad! t-t2822-0.c:98 r == 1
>>>("mta ) mta") <"mta mta"@meta1.org><<<	FAILED
>>>"mta mta" <mta@meta1.org><<<
"mta mta" <mta@meta1.org>
>>>( ("mta ) mta") ) <"mta mta"@meta1.org><<<
25..bad! t-t2822-0.c:98 r == 1
>>>( ("mta ) mta") ) <"mta mta"@meta1.org><<<	FAILED
>>>"mta mta"@meta1.org<<<
"mta mta"@meta1.org
>>>mta\ mta@meta1.org<<<
"mta mta"@meta1.org
>>>"mta mta<<<
35..bad! t-t2822-0.c:98 r == 1
>>>"mta mta<<<	FAILED
>>>mta@[stuff<<<
37..bad! t-t2822-0.c:98 r == 1
>>>mta@[stuff<<<	FAILED
>>>mta@["stuff]<<<
mta@[\\"stuff]
>>>named group: foo@bar, baz@barf;<<<
named group: foo@bar, baz@barf;
>>>mta@foo (mta
        mta)<<<
mta@foo (mta\\
        mta)
EOF
diff ${OUT} ${IN}
if test $? -ne 0
then
  ERRORS=`expr ${ERRORS} + 1 `
fi
if test ${ERRORS} -eq 0
then
  rm -f ${IN} ${OUT} ${O}
fi
exit ${ERRORS}
