/*
 * Copyright (c) 2004-2006 Sendmail, Inc. and its suppliers.
 *      All rights reserved.
 *
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENSE file which can be found at the top level of
 * the sendmail distribution.
 *
 *	$Id: pmilter.h,v 1.19 2007/03/06 04:49:40 ca Exp $
 */

#ifndef SM_PMILTER_H
#define SM_PMILTER_H 1

/*
**  protocol version
*/

#define SM_PMILTER_PROT	0x00000200	/* major: 24bits, minor: 8bits */

/*
**  SMTP server capabilities
*/

#define SM_SCAP_PM_NONE		0x00000000
#define SM_SCAP_PM_CNNCT	0x00000001
#define SM_SCAP_PM_EHLO		0x00000002
#define SM_SCAP_PM_STTLS	0x00000004	/* not yet implemented */
#define SM_SCAP_PM_AUTH		0x00000008	/* not yet implemented */
#define SM_SCAP_PM_MAIL		0x00000010
#define SM_SCAP_PM_RCPT		0x00000020
#define SM_SCAP_PM_DATA		0x00000040
#define SM_SCAP_PM_MSG		0x00000080

/* Try to send RCPT even if rejected and include status information */
#define SM_SCAP_PM_RCPT_ST	0x00000100

/* msg chunk callback can return a SMTP return code */
#define SM_SCAP_PM_MSG_RC	0x00000200

/* header modifications possible */
#define SM_SCAP_PM_HDRMOD	0x00000400

/* message replacement possible */
#define SM_SCAP_PM_MSGREPLACE	0x00000800

/* send generated Received: header as part of message */
#define SM_SCAP_PM_SND_RCVD	0x00001000

/* recipient modifications possible */
#define SM_SCAP_PM_RCPTMOD	0x00002000

/* MAIL modification possible */
#define SM_SCAP_PM_MAILMOD	0x00004000

/* only send header, no body (not yet implemented)*/
#define SM_SCAP_PM_HDR_ONLY	0x00008000

/* server supports RSAD/PRDR/DRR */
#define SM_SCAP_PM_RSAD	0x00010000

#define SM_SCAP_PM_ALL		0x00017FF3
#define SM_SCAP_PM_BASIC	0x000000F3

/*
**  SMTP server functions
*/

#define SM_SFCT_PM_ALL		0x00000000

/*
**  SMTP server features
*/

#define SM_SFEAT_PM_ALL		0x00000000

/*
**  SMTP server misc.
*/

#define SM_SMISC_PM_ALL		0x00000000

#endif /* SM_PMILTER_H */
